
Name:           kchmviewer
Version:        4.0
Release:        4%{?dist}
Summary:        CHM viewer

Group:          Applications/Publishing
License:        GPLv2+
URL:            http://www.kchmviewer.net/
#Source0:        http://www.kchmviewer.net/files/kchmviewer-%{version}.tar.gz
Source0:        http://downloads.sourceforge.net/kchmviewer/kchmviewer-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Patch1: kchmviewer-4.0-no_msits.patch

BuildRequires:  chmlib-devel
BuildRequires:  desktop-file-utils
BuildRequires:  gettext
BuildRequires:  kdelibs4-devel

Requires: kio_msits

%description
KchmViewer is a chm (MS HTML help file format) viewer.


%prep
%setup -q -n kchmviewer-%{version}

%patch1 -p1 -b .no_msits

chmod -x lib/kio-msits/msits.*

# don't know what the encoding is. The strange character sequence is
# <EF><BF><BD>, which could be in utf8 U-0000FFFD, a boundary condition
# http://www.w3.org/2001/06/utf-8-wrong/UTF-8-test.html
#iconv -f latin1 -t utf8 < FAQ > FAQ.utf8
#touch -r FAQ FAQ.utf8
#mv FAQ.utf8 FAQ


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf $RPM_BUILD_ROOT 

make install/fast DESTDIR=$RPM_BUILD_ROOT -C %{_target_platform}

# make icons available for all themes/desktops
mv $RPM_BUILD_ROOT%{_kde4_iconsdir}/crystalsvg \
   $RPM_BUILD_ROOT%{_kde4_iconsdir}/hicolor


%check
desktop-file-validate $RPM_BUILD_ROOT%{_datadir}/applications/kde4/kchmviewer.desktop


%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null || :

%posttrans
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null || :
update-desktop-database -q &> /dev/null ||:

%postun
if [ $1 -eq 0 ] ; then
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null || :
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null || :
update-desktop-database -q &> /dev/null ||:
fi


%files
# -f %{name}.lang
%defattr(-,root,root,-)
%doc README COPYING ChangeLog FAQ
%{_kde4_bindir}/kchmviewer
%{_kde4_datadir}/applications/kde4/*.desktop
%{_kde4_iconsdir}/hicolor/*/apps/kchmviewer.*


%changelog
* Mon Apr 27 2009 Rex Dieter <rdieter@fedoraproject.org> - 4.0-4
- fix conflicts with kdegraphics (#484861)
- optimize scriptlets
- ship only hicolor icons 
- cleanup, use kde4-macros

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Dec  8 2008 Patrice Dumas <pertusus@free.fr> 4.0-2
- reenable kde support

* Thu Dec  4 2008 Patrice Dumas <pertusus@free.fr> 4.0-1
- update to 4.0

* Wed Aug 13 2008 Patrice Dumas <pertusus@free.fr> 4.0-0.4.beta3
- update to 4.0beta3

* Thu Feb 14 2008 Patrice Dumas <pertusus@free.fr> 4.0-0.2.beta2
- update to 4.0beta2

* Thu Aug  2 2007 Patrice Dumas <pertusus@free.fr> 3.1-1.5
- update to 3.1

* Sun Apr  1 2007 Patrice Dumas <pertusus@free.fr> 3.0-2
- update to 3.0

* Fri Feb 16 2007 Patrice Dumas <pertusus@free.fr> 2.7-2
- fixes in desktop file. Fix #229070

* Mon Jan 29 2007 Patrice Dumas <pertusus@free.fr> 2.7-1
- update to 2.7

* Tue Sep 12 2006 Patrice Dumas <pertusus@free.fr> 2.6-2
- rebuild for FC6

* Sat Jul 22 2006 Patrice Dumas <pertusus@free.fr> 2.6-1
- update to 2.6
- remove upstreamed patch kchmviewer-2.5-iconstorage.h.patch

* Thu May 18 2006 Patrice Dumas <pertusus@free.fr> 2.5-1
- update to 2.5
- patch from Jose Pedro Oliveira (jpo)

* Tue May 16 2006 Patrice Dumas <pertusus@free.fr> 2.0-4
- remove the old menu entry file from /usr/share/applnk/

* Mon Mar 13 2006 Patrice Dumas <pertusus@free.fr> 2.0-3
- use update-desktop-database

* Mon Mar 13 2006 Patrice Dumas <pertusus@free.fr> 2.0-2
- enable kde support

* Sun Mar 12 2006 Patrice Dumas <pertusus@free.fr> 2.0-1
- Fedora Extras submission
